function NR_Graphical(fun,range,x0)
% This function computes the derivative of fun at the point prev_guess and plots
% the tangent line.  It can be used to graphically illustrate the
% Newton-Raphson method for solving equations.
% Usage:  NR_Graphical(sym('x^2-739'),[10,40],15)  

prev_guess = x0;

choice = 'Y';
while strcmpi(choice,'Y')
act_der = subs(diff(fun),prev_guess);
next_guess = prev_guess - subs(fun,prev_guess)/subs(act_der,prev_guess);
fprintf('\n The next guess in the algorithm is:  %f \n', double(next_guess));

Fig = ezplot(fun,range);
set(Fig,'LineWidth',4);
hold on
% Plot the tangent line to the curve at to
plot(range,[act_der*(range(1)-prev_guess)+subs(fun,prev_guess) act_der*(range(2)-prev_guess)+subs(fun,prev_guess)], 'g--','LineWidth',2);
% Plot the point
plot(prev_guess,subs(fun,prev_guess),'r*');grid
% Plot the next guess
plot(next_guess,0,'k*');
hold off
choice = input('\n Would you like to iterate again? (Y/N):  ','s');
prev_guess = next_guess;

end
    
end

